# useTarget

abstract fun useTarget(notation: Any)

This method can be used to replace a dependency before it is resolved, e.g. change group, name or version (or all three of them), or replace it with a project dependency. Accepted notations are:

- Strings encoding group:module:version, like 'org.gradle:gradle-core:2.4'
- Maps like [group: 'org.gradle', name: 'gradle-core', version: '2.4']
- Project instances like `project(":api")`
- Any instance of `ModuleComponentSelector` or `ProjectComponentSelector`

#### Parameters

notation

the notation that gets parsed into an instance of ComponentSelector.

abstract fun useTarget(notation: Any, reason: String)

This method can be used to replace a dependency before it is resolved, e.g. change group, name or version (or all three of them), or replace it with a project dependency and provides a human readable reason for diagnostics. Accepted notations are:

- Strings encoding group:module:version, like 'org.gradle:gradle-core:2.4'
- Maps like [group: 'org.gradle', name: 'gradle-core', version: '2.4']
- Project instances like `project(":api")`
- Any instance of `ModuleComponentSelector` or `ProjectComponentSelector`

#### Since

4.5

#### Parameters

notation

the notation that gets parsed into an instance of ComponentSelector.